- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_cursor_t

# mongoc_cursor_current()

## Synopsis

    const bson_t *
    mongoc_cursor_current (const mongoc_cursor_t *cursor);

## Parameters

- `cursor`: A mongoc_cursor_t.

## Description

Fetches the cursors current document or `NULL` if there has been an error.

## Returns

A `bson_t` that should not be modified or freed or `NULL`.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.